## tuxlava-0.10.3.tar.gz

=== Makefile ===
export PROJECT := tuxlava
export TUXPKG_MIN_COVERAGE := 95
export TUXPKG_FLAKE8_OPTIONS := "--exclude=site-packages"
check: spellcheck stylecheck test

include $(shell tuxpkg get-makefile)

.PHONY: tags

help:
	@echo 'Possible targets:'
	@echo ''
	@echo '  doc          - Build documentation'
	@echo '  stylecheck   - Check code style'
	@echo '  spellcheck   - Check code spelling'
	@echo '  tags         - Generate an index file of the surce and test code (ctags)'
	@echo '  test         - Run unit tests'

stylecheck: style flake8

spellcheck:
	codespell \
		-I codespell-ignore-list \
		--check-filenames \
		--skip '.git,public,dist,*.sw*,*.pyc,tags,*.json,.coverage,htmlcov,*.jinja2,*.yaml'

doc: docs/index.md
	mkdocs build

docs/index.md: README.md scripts/readme2index.sh
	scripts/readme2index.sh $@

doc-serve:
	mkdocs serve

lava-validate:
	python3 test/validate.py

tags:
	ctags -R $(PROJECT)/ test/

=== debian/changelog ===
tuxlava (0.10.3-1) UNRELEASED; urgency=medium

  * Initial release

 -- Senthil Kumaran <senthil.kumaran@linaro.org>  Mon, 03 Feb 2025 20:00:00 +0530

=== debian/control ===
Source: tuxlava
Maintainer: Senthil Kumaran <senthil.kumaran@linaro.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               flit,
               wget,
               python3-all,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-mock,
               python3-flask,
               pybuild-plugin-pyproject
Standards-Version: 3.9.6
Homepage: https://tuxsuite.com/

Package: tuxlava
Architecture: all
Depends: python3 (>= 3.9),
         python3-attr,
         python3-requests,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Description: TuxLAVA is a python library and tool to generate LAVA jobs for
  devices of type qemu, fvp, fastboot and nfs. TuxLAVA has standard list of
  devices that are supported along with tests that could be run on these
  devices.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = tuxlava

export PYBUILD_TEST_PYTEST = 1
export PYBUILD_TEST_ARGS = test/
export LC_ALL = C.UTF-8

# Support non-flit builds - requires setup.py to be present (which is the case
# in pypi release tarballs)
ifneq ($(shell pybuild --list-systems | grep flit),)
export PYBUILD_SYSTEM = flit
endif

%:
	dh $@ --with python3 --buildsystem=pybuild

# FIXME this should not be necessary with PYBUILD_TEST_PYTEST = 1 above
# but I can't get it to work for some reason.
override_dh_auto_test:
	for p in $$(py3versions --supported); do $$p -m pytest test/; done
